<template>
  <div>
    <div
      v-if="$q.platform.is.desktop"
      class="row justify-evenly absolute-top z-top q-pa-md"
    >
      <q-img
        src="~assets/logo.png"
        width="300px"
        basic
      />

      <div
        v-for="item in items.menu"
        :key="item.id"
        class="q-pt-xl"
      >
        <q-btn
          :text-color="item.textColor"
          :color="item.color"
          :label="item.label"
          :flat="item.flat"
          @click="$emit('to', item.to)"
        />
      </div>
    </div>

    <div v-if="$q.platform.is.mobile">
      <q-img
        class="absolute-top-left z-top q-ma-md"
        src="~assets/logo.png"
        width="180px"
        basic
      />

      <q-btn
        class="absolute-top-right z-top q-ma-lg"
        icon="fas fa-bars"
        color="white"
        round
        flat
        @click="menu = !menu"
      />

      <q-dialog
        v-model="menu"
        transition-show="slide-left"
        transition-hide="slide-right"
        position="top"
        maximized
        seamless
      >
        <q-separator
          color="transparent"
          spaced="xl"
        />

        <q-card class="bg-deep-orange-4">
          <q-separator
            color="transparent"
            spaced="50px"
          />

          <q-card-section>
            <div
              v-for="item in items.menu"
              :key="item.id"
              class="q-px-md q-py-xs"
            >
              <q-btn
                :class="{ 'full-width q-ma-sm ': !item.flat }"
                :text-color="item.textColor"
                :color="item.color"
                :label="item.label"
                :dense="item.flat"
                :flat="item.flat"
                unelevated
                @click="go(item.to)"
              />
            </div>
          </q-card-section>
        </q-card>
      </q-dialog>
    </div>

    <q-carousel
      v-model="slide"
      :height="height"
      transition-prev="slide-right"
      transition-next="slide-left"
      navigation
      animated
      infinite
      autoplay
    >
      <q-carousel-slide
        v-for="(item, index) in items.slides"
        :key="index"
        :name="index"
        :img-src="strapi + item.images[0].url"
      />
    </q-carousel>
  </div>
</template>

<script>
export default {
  name: 'Header',
  props: {
    items: {
      type: Object,
      default: () => ({})
    }
  },
  data () {
    return {
      strapi: process.env.WWW_API,
      slide: 1,
      height: '90vh',
      menu: false
    }
  },
  methods: {
    go (to) {
      this.$emit('to', to)
      this.menu = false
    }
  }
}
</script>
